### Method

# AppStream Translation set_id

#### Declaration [src]

    void
    as_translation_set_id (
      AsTranslation* tr,
      const gchar* id
    )

#### Description [src]

Set the ID (e.g. Gettext domain) of this translation.

#### Parameters

`id`

  Type: `const gchar*`

  The ID of this translation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.